Member Function
Holder
Constructor
Holder<TValue, TSpec>()
Holder<TValue, TSpec>(holder)
Holder<TValue, TSpec>(value)
Parameters

holder | Another holder object.
value | An object of type TValue.

Remarks
The default constructor creates a holder that is in state 'empty'. If a value is passed to the constructor, the holder will be in state 'dependent'.
Member of
Holder
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59